> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a conversion by id



## OpenAPI

````yaml /openapi.json get /v1/conversions/{id}
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Comprehensive payment platform API supporting fiat and crypto payments,
    currency conversion, and compliance management
  title: Zuba Payment Platform API
  version: '1.0'
servers: []
security: []
tags:
  - description: Manage M2M API keys and credentials
    name: API Keys
  - description: Internal ledger accounts and transactions
    name: Ledger
  - description: Handle incoming payments and deposits
    name: Pay-ins
  - description: Manage payouts, beneficiaries, and SEPA transfers
    name: Payouts
  - description: Manage outbound webhook endpoints and deliveries
    name: Webhooks
paths:
  /v1/conversions/{id}:
    get:
      tags:
        - Conversions
      summary: Get a conversion by id
      operationId: ConversionsController_getConversion
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversionResponseDto'
          description: The conversion.
        '404':
          description: Conversion not found
      security:
        - bearer: []
components:
  schemas:
    ConversionResponseDto:
      properties:
        createdAt:
          description: Created at (ISO 8601)
          type: string
        fee:
          description: >-
            Fixed fee charged, in feeCurrency. Always 0 for conversions created
            after fixed fees were retired from converts.
          example: '0.0000'
          type: string
        feeCurrency:
          description: Fee currency
          example: USD
          type: string
        id:
          description: Conversion id
          example: uuid
          type: string
        rate:
          description: 'All-in rate applied: source units per 1 target unit'
          example: '1.09860000'
          type: string
        sourceAmount:
          description: Debited from the source balance
          example: '500.0000'
          type: string
        sourceCurrency:
          description: Source currency
          example: USD
          type: string
        status:
          description: Terminal status
          enum:
            - completed
            - failed
          example: completed
          type: string
        targetAmount:
          description: Credited to the target balance
          example: '455.1200'
          type: string
        targetCurrency:
          description: Target currency
          example: EUR
          type: string
      required:
        - id
        - sourceCurrency
        - targetCurrency
        - sourceAmount
        - targetAmount
        - rate
        - fee
        - feeCurrency
        - status
        - createdAt
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: Enter Auth0 JWT token
      scheme: bearer
      type: http

````